  var oClickEle = null;
  var vClickKey = "0";
  var vClickNumber = "";
  function getTrElement(ele) {
  	var ele = event.srcElement;
  	var nodename = "";
  	var v = 0;
  	while (true) {
  		v ++;
  		nodename = ele.nodeName.toLowerCase();
  		if (nodename == "tr") {
  			break;
  		} else {
  			ele = ele.parentElement;
  		}  		
  		if (v>5) {
  			break;
  		}
  	}
		return ele;  
  }
  
  function onMouseOver1() {
  	var ele = getTrElement(event.srcElement);
  	
  	if (ele.className== "trMouseClick") {
  	} else {
  		ele.className="trMouseOver";
  	}
  }
  function onMouseOut1() {
  	var ele = getTrElement(event.srcElement);
  	
  	if (ele.className== "trMouseClick") {
  	} else {
  		ele.className="trMouseOut";
  	}
  }
  function onMouseClick1(vKey) {
  	var ele = getTrElement(event.srcElement);
  	if (oClickEle == null) {
  		ele.className='trMouseClick';
  		oClickEle = ele; 
  		vClickKey = vKey;
  	} else {
			if (ele == oClickEle) {
				ele.className="trMouseOver";
				oClickEle = null;
				vClickKey = "0"; 
			} else {
				oClickEle.className = "trMouseOut";
				ele.className='trMouseClick';
				oClickEle = ele;
				vClickKey = vKey; 
			}
  	}  	 
  }  

  function onMouseClick2(vKey, vNumber) {
  	var ele = getTrElement(event.srcElement);
  	if (oClickEle == null) {
  		ele.className='trMouseClick';
  		oClickEle = ele; 
  		vClickKey = vKey;
		vClickNumber = vNumber;
  	} else {
			if (ele == oClickEle) {
				ele.className="trMouseOver";
				oClickEle = null;
				vClickKey = "0"; 
				vClickNumber = "";
			} else {
				oClickEle.className = "trMouseOut";
				ele.className='trMouseClick';
				oClickEle = ele;
				vClickKey = vKey; 
				vClickNumber = vNumber;
			}
  	}  	 
  }  
  function updateFunc(oFormName, vUrl) {
  	if (vClickKey == "" || vClickKey == "0") {
  		alert("请点击选中一条数据");
  		return false;
  	}
  	vUrl = vUrl + "&KEY=" + vClickKey;
    oFormName.action = vUrl;
    oFormName.submit();  	  	
  }

  function deleteFunc(oFormName, vUrl, vMessage) {
  	if (vClickKey == "" || vClickKey == "0") {
  		alert("请点击选中一条数据");
  		return false;
  	}
    formList.chkId.value = vClickKey;
    if (confirm(vMessage)) {
    	oFormName.action = vUrl;
    	oFormName.submit();
    } 	
  }  

  function deleteFunc2(oFormName, vUrl, vMessage) {
  	if (vClickNumber == "" || vClickNumber == "0") {
  		alert("请点击选中一条数据");
  		return false;
  	}
    formList.chkId.value = vClickNumber;

    if (confirm(vMessage)) {
    	oFormName.action = vUrl;
    	oFormName.submit();
    } 	
  }